#include <stdio.h>

void reverse_array(int arr[], int n) {
	int i;
    for (i = 0; i < n / 2; ++i) {
        int temp = arr[i];
        arr[i] = arr[n - 1 - i];
        arr[n - 1 - i] = temp;
    }
}

int main() {
    int n,i;
    scanf("%d", &n);

    int arr[999];
    for (i = 0; i < n; ++i) {
        scanf("%d", &arr[i]);
    }

    reverse_array(arr, n);

    for (i = 0; i < n; ++i) {
        printf("%d", arr[i]);
        if (i != n - 1) {
            printf(" ");
        }
    }
    printf("\n");

    return 0;
}